# ThreadMutex_pthread Class Reference

POSIX pthread version of ThreadMutex. More...

Inheritance diagram for ThreadMutex_pthread:

## Public Member Functions
void | BeginCritical ()
| Begin the critical section.
void | EndCritical ()
| End of the critical section.
## Private Attributes
pthread_mutex_t | mutex

## Detailed Description

POSIX pthread version of ThreadMutex.

Definition at line 88 of file thread_pthread.cpp.

The documentation for this class was generated from the following file:

- src/thread_pthread.cpp